Groovy Documentation

## org.codehaus.groovy.grails.web.servlet.mvc
[Java] Class CommandObjectEnablingPostProcessor

    java.lang.Object
      org.codehaus.groovy.grails.plugins.support.BeanPostProcessorAdapter
          org.codehaus.groovy.grails.web.servlet.mvc.CommandObjectEnablingPostProcessor

All Implemented Interfaces:
  ApplicationContextAware

    public class CommandObjectEnablingPostProcessor
    extends BeanPostProcessorAdapter

Authors:
  Graeme Rocher

Since:
  1.3.2

Constructor Summary
`CommandObjectEnablingPostProcessor(ApplicationContext applicationContext)`

Method Summary
`java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`
`void` | `setApplicationContext(ApplicationContext applicationContext)`

Methods inherited from class BeanPostProcessorAdapter
postProcessAfterInitialization, postProcessBeforeInitialization

Constructor Detail

### CommandObjectEnablingPostProcessor

    public CommandObjectEnablingPostProcessor(ApplicationContext applicationContext)

Method Detail

### postProcessBeforeInitialization

    @SuppressWarnings("unchecked")
    @Override
    public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)

### setApplicationContext

    public void setApplicationContext(ApplicationContext applicationContext)

Groovy Documentation